(*
 * This file is part of Cafesterol.
 * Copyright (C) 2007-2010 Xavier Clerc.
 * Original file (asmcomp/asmlibrarian.mli in the Objective Caml source
 * distribution) is Copyright (C) INRIA.
 *
 * Cafesterol is free software; you can redistribute it and/or modify
 * it under the terms of the Q Public License as published by
 * Trolltech (with a change to choice of law).
 *
 * Cafesterol is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Q Public License for more details.
 *
 * You should have received a copy of the Q Public License
 * along with this program.  If not, see
 * <http://qt.nokia.com/doc/4.0/qpl.html>.
 *)

(** Compilation of .cmja files. *)

type error =
  | File_not_found of string
  | Archiver_error of string

exception Error of error


val create_archive : string list -> string -> unit
(** [create_archive filenames libname] compiles a library named [libname]
   from [filenames] (that should be .cmj files). *)

val report_error : Format.formatter -> error -> unit
(** Pretty-prints an error. *)
