(*
 * This file is part of Cafesterol.
 * Copyright (C) 2007-2010 Xavier Clerc.
 *
 * Cafesterol is free software; you can redistribute it and/or modify
 * it under the terms of the Q Public License as published by
 * Trolltech (with a change to choice of law).
 *
 * Cafesterol is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Q Public License for more details.
 *
 * You should have received a copy of the Q Public License
 * along with this program.  If not, see
 * <http://qt.nokia.com/doc/4.0/qpl.html>.
 *)

let version = "1.4"
let cmj_magic_number = "Caml2007J001"
let cmja_magic_number = "Caml2007K001"
let default_executable_name = "camlprog.jar"
let ext_obj = ".jo"
let ext_lib = ".jar"
let ext_plugin = ".cmjs"

let print_config oc =
  let p name valu = Printf.fprintf oc "%s: %s\n" name valu in
  let p_bool name valu = Printf.fprintf oc "%s: %B\n" name valu in
  p "version (ocaml)" Config.version;
  p "version (cafesterol)" version;
  p "standard_library" Config.standard_library;
  p "standard_runtime" Config.standard_runtime;
  p "ccomp_type" "javac";
  p "architecture" "Java";
  p "model" "JVM 1.6+";
  p "ext_obj" ext_obj;
  p "ext_lib" ext_lib;
  p "ext_plugin" ext_plugin;
  p "default_executable_name" default_executable_name;
  p_bool "systhread_supported" true;
  flush oc
